#
# spec file for package vdr-plugin-extrecmenu
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Marcel Witte
# Copyright (c) 2014 B1 Systems GmbH, Vohburg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define pluginname extrecmenu
Name:           vdr-plugin-%{pluginname}
Version:        1.2.4
Release:        lp150.2.1
Summary:        A plugin for VDR to replace and extend the recordings-menu
License:        GPL-2.0-only
Group:          Hardware/TV
Url:            http://projects.vdr-developer.org/projects/show/plg-extrecmenu
Source0:        vdr-%{pluginname}-%{version}.tgz
Patch1:         vdr-1.7.33-pluginmakefile.diff
Patch2:         vdr-extrecmenu-1.2.4...77d10faec.diff
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  vdr-devel
# FIXME: use proper Requires(pre/post/preun/...)
PreReq:         %{vdr_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The EXTended RECordings MENU plugin provides additional functions to VDR's
recordings menu:

* renaming recordings and directories
* moving recordings and directories, also between different filesystems
* adjustable display of recording's length, date and size
* directories are always shown on top of the list
* reworked layout using icons for showing the status of list entries
  (directory, new recording, moving recording/directory, cutting recording,
  dvd archiv entry)
* extended recordings info menu, shows name, path, channel, size, lifetime and
  priority of the recording
* free disk space is shown for the filesystem of the current directory
* sorting by name or date, adjustable for each directory; type of sorting will
  be stored
* ascending/descending sorting
* extends VDR's '-r'-option commands with 'move' and 'rename'
* functionality of the DVDArchive-patch (see below)
* protecting recordings in co-work with the PIN-plugin
* a cutter queue

%prep
%setup -q -n %{pluginname}-%{version}
%patch1 -p0
%patch2 -p1

%build
# use msgmerge wrapper
export PATH=%{_datadir}/vdr:$PATH
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
%{vdr_find_locale}

%files -f vdrlocale.files
%defattr(-,root,root)
%{_libdir}/vdr/*
%{vdr_dirs}
%doc HISTORY README
%license COPYING

%changelog
* Wed Dec 26 2018 Stefan Seyfried <seife+obs@b1-systems.com>
- add vdr-extrecmenu-1.2.4...77d10faec.diff to fix build with
  current VDR 2.4.x
* Sun Nov  2 2014 seife+obs@b1-systems.com
- update to version 1.2.4:
  * Reduced delay when opening the recordings menu if "menu
    category" feature is used.
  * Fixed crashes that happened if a skin used the "menu category"
    feature.
  * GoLastReplayed and ReturnToPlugin now work as expected.
  * Add support for VDR v2.1.2+
  * Fixed "level" for menu items
  * Display folders on top of recordings list when using
    descending sorting.
  * Display the root video folder again when opening ExtRecMenu
    (closes #1447).
  * Updated French translation.
* Sun Mar 30 2014 seife+obs@b1-systems.com
- avoid builddate in locale files
* Sat Mar 29 2014 seife+obs@b1-systems.com
- run spec-cleaner
- change from vdrapi requires to PreReq vdr_prereq macro
- remove vdrapi from package version
* Sat Mar 29 2014 seife+obs@b1-systems.com
- use plain make instead of baroque vdr_plugin_* macros
* Tue Jul  9 2013 wittemar@googlemail.com
- added current git changes
* Mon Jun 11 2012 wittemar@googlemail.com
- added patch for VDR 1.7.28
* Tue May  1 2012 wittemar@googlemail.com
- updated to 1.2.2
* Mon Apr 18 2011 wittemar@googlemail.com
- updated to 1.2.1
* Mon May 31 2010 wittemar@googlemail.com
- updated to 1.2 release
- new url http://projects.vdr-developer.org/projects/show/plg-extrecmenu
* Mon May 24 2010 wittemar@googlemail.com
- added patch am3
* Sun Nov 29 2009 wittemar@googlemail.com
- update to 1.2-test1
- added patch am2b
